# spec file for package nodejs-nodejs-hosted-git-info

%global npm_name hosted-git-info
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-hosted-git-info
Version:        2.1.2
Release:        1%{?dist}
Summary:        Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab
Url:            https://github.com/npm/hosted-git-info
Source0:        http://registry.npmjs.org/hosted-git-info/-/hosted-git-info-%{version}.tgz
License:        ISC
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(standard)
BuildRequires: npm(tap)
%endif

%description
Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js git-host.js git-host-info.js\
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
standard && tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/hosted-git-info

%doc README.md
#%license LICENSE

%changelog
* Wed May 13 2015 Zuzana Svetlikova - 2.1.2-1
- Initial build

